libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
framebuffer.h File Reference

Frame buffer handling. More...

`#include <limits>`
`#include <memory>`
`#include <stdint.h>`
`#include <vector>`
`#include <libcamera/base/class.h>`
`#include <libcamera/base/shared_fd.h>`
`#include <libcamera/base/span.h>`
Include dependency graph for framebuffer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | libcamera::FrameMetadata
| Metadata related to a captured frame. More...
struct | libcamera::FrameMetadata::Plane
| Per-plane frame metadata. More...
class | libcamera::FrameBuffer
| Frame buffer data and its associated dynamic metadata. More...
struct | libcamera::FrameBuffer::Plane
| A memory region to store a single plane of a frame. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

Frame buffer handling.